package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/4/26
 */
public class WrongQuestionV2Dto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 类型：1-显示错题题目，2-显示作业图片
     */
    private int type;
    /**
     * 错题题目
     */
    private Question question;
    /**
     * 作业图片
     */
    private Homework homework;

    public class Question implements Serializable {
        private static final long serialVersionUID = 1L;
        private String questionId;
        /**
         * 大题（如果没有小题，则只展示大题）
         */
        private String bigQuestion;
        /**
         * 小题
         */
        private String smallQuestion;
        /**
         * 选项内容
         */
        private String optionContent;
        /**
         * 选项答案
         */
        private String optionAnswer;
        /**
         * 涉及知识点
         */
        private List<String> knowList;

        public String getQuestionId() {
            return questionId;
        }

        public void setQuestionId(String questionId) {
            this.questionId = questionId;
        }

        public String getBigQuestion() {
            return bigQuestion;
        }

        public void setBigQuestion(String bigQuestion) {
            this.bigQuestion = bigQuestion;
        }

        public String getSmallQuestion() {
            return smallQuestion;
        }

        public void setSmallQuestion(String smallQuestion) {
            this.smallQuestion = smallQuestion;
        }

        public String getOptionContent() {
            return optionContent;
        }

        public void setOptionContent(String optionContent) {
            this.optionContent = optionContent;
        }

        public String getOptionAnswer() {
            return optionAnswer;
        }

        public void setOptionAnswer(String optionAnswer) {
            this.optionAnswer = optionAnswer;
        }

        public List<String> getKnowList() {
            return knowList;
        }

        public void setKnowList(List<String> knowList) {
            this.knowList = knowList;
        }
    }

    public class Homework implements Serializable {
        private static final long serialVersionUID = 1L;
        private String homeworkId;
        /**
         * 作业图片
         */
        private List<String> pictureList;
        /**
         * 涉及知识点
         */
        private List<String> knowList;

        public String getHomeworkId() {
            return homeworkId;
        }

        public void setHomeworkId(String homeworkId) {
            this.homeworkId = homeworkId;
        }

        public List<String> getPictureList() {
            return pictureList;
        }

        public void setPictureList(List<String> pictureList) {
            this.pictureList = pictureList;
        }

        public List<String> getKnowList() {
            return knowList;
        }

        public void setKnowList(List<String> knowList) {
            this.knowList = knowList;
        }
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Question getQuestion() {
        return question;
    }

    public void setQuestion(Question question) {
        this.question = question;
    }

    public Homework getHomework() {
        return homework;
    }

    public void setHomework(Homework homework) {
        this.homework = homework;
    }
}
